.\" $NetBSD: acpitz.4,v 1.8 2008/09/11 21:53:12 reed Exp $
.\"
.\" Copyright (c) 2003, 2004 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd November 9, 2008
.Dt ACPITZ 4
.Os
.Sh NAME
.Nm acpitz
.Nd ACPI Thermal Zone
.Sh SYNOPSIS
.Cd "acpitz* at acpi?"
.Sh DESCRIPTION
The
.Nm
driver supports ACPI Thermal Zones.
.Pp
The temperature can be monitored by the
.Xr envsys 4
API or the
.Xr envstat 8
command.
.Sh EVENTS
The
.Nm
driver knows about the active cooling levels, the current
temperatures, and critical, hot, and passive temperature thresholds
(as supported by the hardware).
The driver is able to send events to
.Xr powerd 8
when the sensor's state has changed.
When a Thermal Zone is critical, a
.Em critical-over
event will be sent or if the Thermal Zone is hot, a
.Em warning-over
event will be sent to the
.Pa /etc/powerd/scripts/sensor_temperature
script.
.Pp
The critical temperature is the threshold for system shutdown.
Depending on the hardware, the mainboard will take down the system
instantly and no event will have a chance to be sent.
.\" The hot temperature is the temperature threshold for S4 sleep.
.\" S4 is only supported on small subset of machines and is not known to work.
The passive temperature is the passive cooling temperature threshold.
Passive cooling means the Thermal Zone hardware
doesn't have any software control.
On capable hardware, active cooling can power on and off fans, for example.
.Sh SEE ALSO
.Xr acpi 4 ,
.Xr envsys 4 ,
.Xr envstat 8 ,
.Xr powerd 8
.Sh HISTORY
The
.Nm
driver
appeared in
.Nx 2.0 .
.Sh BUGS
Any policy control such as fan control is not implemented.
